Page MenuHomePhabricator

Allow campaign admin to suggest caption/language pair for display in UploadWizard
Closed, DeclinedPublic

Description

We have this:

ATM a campaign admin can add a default caption for a campaign like this:

{
    "enabled": true,
    "wikibase": {
        "enabled": true,
        "captions": true
    },
    "defaults": {
        "caption": "SOME CAPTION"
    }
}

... but if they want to set the caption's language they need to use captionlang= in the url

We want this:

A campaign admin to be able to set language/caption pairs in the caption config, like this

{
    "enabled": true,
    "wikibase": {
        "enabled": true,
        "captions": true
    },
    "defaults": {
        "captions": [
            { "language": "en", "text": "SOME CAPTION" },
            { "language": "ga", "text": "CAPTION ÉIGIN" }
        ]
    }
}

During development, please test the following:

  • Test this feature as a campaign admin AND as a uploader
  • Test uploading multiple images, and make sure the defaults appear for them all

Details

Related Gerrit Patches:
mediawiki/extensions/UploadWizard : masterDefault caption data for campaigns

Event Timeline

Cparle created this task.Aug 27 2019, 4:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 27 2019, 4:26 PM

Change 532977 had a related patch set uploaded (by Cparle; owner: Cparle):
[mediawiki/extensions/UploadWizard@master] Default caption data for campaigns

https://gerrit.wikimedia.org/r/532977

Cparle updated the task description. (Show Details)Aug 28 2019, 11:03 AM
Cparle closed this task as Declined.Sep 5 2019, 2:11 PM

Decided not to do it, at least for now

Change 532977 abandoned by Cparle:
Default caption data for campaigns

Reason:
Abandoning, going to use the same approach as "description" instead

https://gerrit.wikimedia.org/r/532977